## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel
Interface IngressqlmodelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  IngressqlmodelPackageImpl

    public interface IngressqlmodelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `IngressqlmodelFactory`

Nested Class Summary
`static interface` `IngressqlmodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static java.lang.String` `copyright`
`static IngressqlmodelPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `INGRES_DB_EVENT` The meta object id for the '`Ingres DB Event`' class.
`static int` `INGRES_DB_EVENT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INGRES_DB_EVENT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INGRES_DB_EVENT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INGRES_DB_EVENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INGRES_DB_EVENT__LABEL` The feature id for the 'Label' attribute.
`static int` `INGRES_DB_EVENT__NAME` The feature id for the 'Name' attribute.
`static int` `INGRES_DB_EVENT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INGRES_DB_EVENT__SCHEMA` The feature id for the 'Schema' reference.
`static int` `INGRES_DB_EVENT_FEATURE_COUNT` The number of structural features of the 'Ingres DB Event' class.
`static int` `INGRES_IDENTITY_SPECIFIER` The meta object id for the '`Ingres Identity Specifier`' class.
`static int` `INGRES_IDENTITY_SPECIFIER__CACHE_OPTION` The feature id for the 'Cache Option' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__CACHE_SIZE` The feature id for the 'Cache Size' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INGRES_IDENTITY_SPECIFIER__CYCLE_OPTION` The feature id for the 'Cycle Option' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__DATA_TYPE` The feature id for the 'Data Type' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INGRES_IDENTITY_SPECIFIER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INGRES_IDENTITY_SPECIFIER__GENERATION_TYPE` The feature id for the 'Generation Type' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__INCREMENT` The feature id for the 'Increment' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__LABEL` The feature id for the 'Label' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__MAXIMUM` The feature id for the 'Maximum' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__MAXIMUM_OPTION` The feature id for the 'Maximum Option' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__MINIMUM` The feature id for the 'Minimum' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__MINIMUM_OPTION` The feature id for the 'Minimum Option' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__NAME` The feature id for the 'Name' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__ORDER_OPTION` The feature id for the 'Order Option' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INGRES_IDENTITY_SPECIFIER__SEQ_LENGTH` The feature id for the 'Seq Length' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__SEQ_PRECISION` The feature id for the 'Seq Precision' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER__START_VALUE` The feature id for the 'Start Value' attribute.
`static int` `INGRES_IDENTITY_SPECIFIER_FEATURE_COUNT` The number of structural features of the 'Ingres Identity Specifier' class.
`static int` `INGRES_SCHEMA` The meta object id for the '`Ingres Schema`' class.
`static int` `INGRES_SCHEMA__ASSERTIONS` The feature id for the 'Assertions' reference list.
`static int` `INGRES_SCHEMA__CATALOG` The feature id for the 'Catalog' reference.
`static int` `INGRES_SCHEMA__CHAR_SETS` The feature id for the 'Char Sets' reference list.
`static int` `INGRES_SCHEMA__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INGRES_SCHEMA__DATABASE` The feature id for the 'Database' reference.
`static int` `INGRES_SCHEMA__DB_EVENTS` The feature id for the 'DB Events' reference list.
`static int` `INGRES_SCHEMA__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INGRES_SCHEMA__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INGRES_SCHEMA__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INGRES_SCHEMA__INDICES` The feature id for the 'Indices' reference list.
`static int` `INGRES_SCHEMA__LABEL` The feature id for the 'Label' attribute.
`static int` `INGRES_SCHEMA__NAME` The feature id for the 'Name' attribute.
`static int` `INGRES_SCHEMA__OWNER` The feature id for the 'Owner' reference.
`static int` `INGRES_SCHEMA__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INGRES_SCHEMA__ROUTINES` The feature id for the 'Routines' reference list.
`static int` `INGRES_SCHEMA__SEQUENCES` The feature id for the 'Sequences' reference list.
`static int` `INGRES_SCHEMA__SYNONYMS` The feature id for the 'Synonyms' reference list.
`static int` `INGRES_SCHEMA__TABLES` The feature id for the 'Tables' reference list.
`static int` `INGRES_SCHEMA__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `INGRES_SCHEMA__USER_DEFINED_TYPES` The feature id for the 'User Defined Types' reference list.
`static int` `INGRES_SCHEMA_FEATURE_COUNT` The number of structural features of the 'Ingres Schema' class.
`static int` `INGRES_SYNONYM` The meta object id for the '`Ingres Synonym`' class.
`static int` `INGRES_SYNONYM__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INGRES_SYNONYM__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INGRES_SYNONYM__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INGRES_SYNONYM__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INGRES_SYNONYM__LABEL` The feature id for the 'Label' attribute.
`static int` `INGRES_SYNONYM__NAME` The feature id for the 'Name' attribute.
`static int` `INGRES_SYNONYM__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INGRES_SYNONYM__SCHEMA` The feature id for the 'Schema' reference.
`static int` `INGRES_SYNONYM__TABLE_NAME` The feature id for the 'Table Name' attribute.
`static int` `INGRES_SYNONYM_FEATURE_COUNT` The number of structural features of the 'Ingres Synonym' class.
`static int` `INGRES_TRIGGER` The meta object id for the '`Ingres Trigger`' class.
`static int` `INGRES_TRIGGER__ACTION_GRANULARITY` The feature id for the 'Action Granularity' attribute.
`static int` `INGRES_TRIGGER__ACTION_STATEMENT` The feature id for the 'Action Statement' containment reference list.
`static int` `INGRES_TRIGGER__ACTION_TIME` The feature id for the 'Action Time' attribute.
`static int` `INGRES_TRIGGER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INGRES_TRIGGER__DELETE_TYPE` The feature id for the 'Delete Type' attribute.
`static int` `INGRES_TRIGGER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INGRES_TRIGGER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INGRES_TRIGGER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INGRES_TRIGGER__INSERT_TYPE` The feature id for the 'Insert Type' attribute.
`static int` `INGRES_TRIGGER__LABEL` The feature id for the 'Label' attribute.
`static int` `INGRES_TRIGGER__NAME` The feature id for the 'Name' attribute.
`static int` `INGRES_TRIGGER__NEW_ROW` The feature id for the 'New Row' attribute.
`static int` `INGRES_TRIGGER__NEW_TABLE` The feature id for the 'New Table' attribute.
`static int` `INGRES_TRIGGER__OLD_ROW` The feature id for the 'Old Row' attribute.
`static int` `INGRES_TRIGGER__OLD_TABLE` The feature id for the 'Old Table' attribute.
`static int` `INGRES_TRIGGER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INGRES_TRIGGER__SCHEMA` The feature id for the 'Schema' reference.
`static int` `INGRES_TRIGGER__SOURCE` The feature id for the 'Source' reference.
`static int` `INGRES_TRIGGER__SUBJECT_TABLE` The feature id for the 'Subject Table' reference.
`static int` `INGRES_TRIGGER__TIME_STAMP` The feature id for the 'Time Stamp' attribute.
`static int` `INGRES_TRIGGER__TRIGGER_COLUMN` The feature id for the 'Trigger Column' reference list.
`static int` `INGRES_TRIGGER__UPDATE_TYPE` The feature id for the 'Update Type' attribute.
`static int` `INGRES_TRIGGER__WHEN` The feature id for the 'When' containment reference.
`static int` `INGRES_TRIGGER_FEATURE_COUNT` The number of structural features of the 'Ingres Trigger' class.
`static int` `INGRES_VIEW_TABLE` The meta object id for the '`Ingres View Table`' class.
`static int` `INGRES_VIEW_TABLE__CHECK_TYPE` The feature id for the 'Check Type' attribute.
`static int` `INGRES_VIEW_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `INGRES_VIEW_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INGRES_VIEW_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INGRES_VIEW_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INGRES_VIEW_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INGRES_VIEW_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `INGRES_VIEW_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `INGRES_VIEW_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `INGRES_VIEW_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `INGRES_VIEW_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INGRES_VIEW_TABLE__QUERY_EXPRESSION` The feature id for the 'Query Expression' containment reference.
`static int` `INGRES_VIEW_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `INGRES_VIEW_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `INGRES_VIEW_TABLE__SOURCE` The feature id for the 'Source' reference.
`static int` `INGRES_VIEW_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `INGRES_VIEW_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `INGRES_VIEW_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `INGRES_VIEW_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `INGRES_VIEW_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `INGRES_VIEW_TABLE_FEATURE_COUNT` The number of structural features of the 'Ingres View Table' class.

Method Summary
`org.eclipse.emf.ecore.EReference` `getIngresDBEvent_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EClass` `getIngresDBEvent()` Returns the meta object for class '`Ingres DB Event`'.
`org.eclipse.emf.ecore.EAttribute` `getIngresIdentitySpecifier_CacheOption()` Returns the meta object for the attribute '`Cache Option`'.
`org.eclipse.emf.ecore.EAttribute` `getIngresIdentitySpecifier_CacheSize()` Returns the meta object for the attribute '`Cache Size`'.
`org.eclipse.emf.ecore.EAttribute` `getIngresIdentitySpecifier_DataType()` Returns the meta object for the attribute '`Data Type`'.
`org.eclipse.emf.ecore.EAttribute` `getIngresIdentitySpecifier_MaximumOption()` Returns the meta object for the attribute '`Maximum Option`'.
`org.eclipse.emf.ecore.EAttribute` `getIngresIdentitySpecifier_MinimumOption()` Returns the meta object for the attribute '`Minimum Option`'.
`org.eclipse.emf.ecore.EAttribute` `getIngresIdentitySpecifier_OrderOption()` Returns the meta object for the attribute '`Order Option`'.
`org.eclipse.emf.ecore.EAttribute` `getIngresIdentitySpecifier_SeqLength()` Returns the meta object for the attribute '`Seq Length`'.
`org.eclipse.emf.ecore.EAttribute` `getIngresIdentitySpecifier_SeqPrecision()` Returns the meta object for the attribute '`Seq Precision`'.
`org.eclipse.emf.ecore.EClass` `getIngresIdentitySpecifier()` Returns the meta object for class '`Ingres Identity Specifier`'.
`org.eclipse.emf.ecore.EReference` `getIngresSchema_DBEvents()` Returns the meta object for the reference list '`DB Events`'.
`org.eclipse.emf.ecore.EReference` `getIngresSchema_Synonyms()` Returns the meta object for the reference list '`Synonyms`'.
`org.eclipse.emf.ecore.EClass` `getIngresSchema()` Returns the meta object for class '`Ingres Schema`'.
`IngressqlmodelFactory` `getIngressqlmodelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` `getIngresSynonym_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EAttribute` `getIngresSynonym_TableName()` Returns the meta object for the attribute '`Table Name`'.
`org.eclipse.emf.ecore.EClass` `getIngresSynonym()` Returns the meta object for class '`Ingres Synonym`'.
`org.eclipse.emf.ecore.EReference` `getIngresTrigger_Source()` Returns the meta object for the reference '`Source`'.
`org.eclipse.emf.ecore.EClass` `getIngresTrigger()` Returns the meta object for class '`Ingres Trigger`'.
`org.eclipse.emf.ecore.EReference` `getIngresViewTable_Source()` Returns the meta object for the reference '`Source`'.
`org.eclipse.emf.ecore.EClass` `getIngresViewTable()` Returns the meta object for class '`Ingres View Table`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final IngressqlmodelPackage eINSTANCE

  The singleton instance of the package.

### INGRES_SYNONYM

    static final int INGRES_SYNONYM

  The meta object id for the '`Ingres Synonym`' class.

  See Also:
    `IngresSynonymImpl`, `IngressqlmodelPackageImpl.getIngresSynonym()`, Constant Field Values

### INGRES_SYNONYM__EANNOTATIONS

    static final int INGRES_SYNONYM__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INGRES_SYNONYM__NAME

    static final int INGRES_SYNONYM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INGRES_SYNONYM__DEPENDENCIES

    static final int INGRES_SYNONYM__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### INGRES_SYNONYM__DESCRIPTION

    static final int INGRES_SYNONYM__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### INGRES_SYNONYM__LABEL

    static final int INGRES_SYNONYM__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### INGRES_SYNONYM__COMMENTS

    static final int INGRES_SYNONYM__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### INGRES_SYNONYM__PRIVILEGES

    static final int INGRES_SYNONYM__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### INGRES_SYNONYM__SCHEMA

    static final int INGRES_SYNONYM__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### INGRES_SYNONYM__TABLE_NAME

    static final int INGRES_SYNONYM__TABLE_NAME

  The feature id for the 'Table Name' attribute.

  See Also:
    Constant Field Values

### INGRES_SYNONYM_FEATURE_COUNT

    static final int INGRES_SYNONYM_FEATURE_COUNT

  The number of structural features of the 'Ingres Synonym' class.

  See Also:
    Constant Field Values

### INGRES_DB_EVENT

    static final int INGRES_DB_EVENT

  The meta object id for the '`Ingres DB Event`' class.

  See Also:
    `IngresDBEventImpl`, `IngressqlmodelPackageImpl.getIngresDBEvent()`, Constant Field Values

### INGRES_DB_EVENT__EANNOTATIONS

    static final int INGRES_DB_EVENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INGRES_DB_EVENT__NAME

    static final int INGRES_DB_EVENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INGRES_DB_EVENT__DEPENDENCIES

    static final int INGRES_DB_EVENT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### INGRES_DB_EVENT__DESCRIPTION

    static final int INGRES_DB_EVENT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### INGRES_DB_EVENT__LABEL

    static final int INGRES_DB_EVENT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### INGRES_DB_EVENT__COMMENTS

    static final int INGRES_DB_EVENT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### INGRES_DB_EVENT__PRIVILEGES

    static final int INGRES_DB_EVENT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### INGRES_DB_EVENT__SCHEMA

    static final int INGRES_DB_EVENT__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### INGRES_DB_EVENT_FEATURE_COUNT

    static final int INGRES_DB_EVENT_FEATURE_COUNT

  The number of structural features of the 'Ingres DB Event' class.

  See Also:
    Constant Field Values

### INGRES_SCHEMA

    static final int INGRES_SCHEMA

  The meta object id for the '`Ingres Schema`' class.

  See Also:
    `IngresSchemaImpl`, `IngressqlmodelPackageImpl.getIngresSchema()`, Constant Field Values

### INGRES_SCHEMA__EANNOTATIONS

    static final int INGRES_SCHEMA__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__NAME

    static final int INGRES_SCHEMA__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__DEPENDENCIES

    static final int INGRES_SCHEMA__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__DESCRIPTION

    static final int INGRES_SCHEMA__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__LABEL

    static final int INGRES_SCHEMA__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__COMMENTS

    static final int INGRES_SCHEMA__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__PRIVILEGES

    static final int INGRES_SCHEMA__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__TRIGGERS

    static final int INGRES_SCHEMA__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__INDICES

    static final int INGRES_SCHEMA__INDICES

  The feature id for the 'Indices' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__TABLES

    static final int INGRES_SCHEMA__TABLES

  The feature id for the 'Tables' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__SEQUENCES

    static final int INGRES_SCHEMA__SEQUENCES

  The feature id for the 'Sequences' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__DATABASE

    static final int INGRES_SCHEMA__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__CATALOG

    static final int INGRES_SCHEMA__CATALOG

  The feature id for the 'Catalog' reference.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__ASSERTIONS

    static final int INGRES_SCHEMA__ASSERTIONS

  The feature id for the 'Assertions' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__USER_DEFINED_TYPES

    static final int INGRES_SCHEMA__USER_DEFINED_TYPES

  The feature id for the 'User Defined Types' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__CHAR_SETS

    static final int INGRES_SCHEMA__CHAR_SETS

  The feature id for the 'Char Sets' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__ROUTINES

    static final int INGRES_SCHEMA__ROUTINES

  The feature id for the 'Routines' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__OWNER

    static final int INGRES_SCHEMA__OWNER

  The feature id for the 'Owner' reference.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__DB_EVENTS

    static final int INGRES_SCHEMA__DB_EVENTS

  The feature id for the 'DB Events' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA__SYNONYMS

    static final int INGRES_SCHEMA__SYNONYMS

  The feature id for the 'Synonyms' reference list.

  See Also:
    Constant Field Values

### INGRES_SCHEMA_FEATURE_COUNT

    static final int INGRES_SCHEMA_FEATURE_COUNT

  The number of structural features of the 'Ingres Schema' class.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE

    static final int INGRES_VIEW_TABLE

  The meta object id for the '`Ingres View Table`' class.

  See Also:
    `IngresViewTableImpl`, `IngressqlmodelPackageImpl.getIngresViewTable()`, Constant Field Values

### INGRES_VIEW_TABLE__EANNOTATIONS

    static final int INGRES_VIEW_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__NAME

    static final int INGRES_VIEW_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__DEPENDENCIES

    static final int INGRES_VIEW_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__DESCRIPTION

    static final int INGRES_VIEW_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__LABEL

    static final int INGRES_VIEW_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__COMMENTS

    static final int INGRES_VIEW_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__PRIVILEGES

    static final int INGRES_VIEW_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__COLUMNS

    static final int INGRES_VIEW_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__SUPERTABLE

    static final int INGRES_VIEW_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__SUBTABLES

    static final int INGRES_VIEW_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__SCHEMA

    static final int INGRES_VIEW_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__UDT

    static final int INGRES_VIEW_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__TRIGGERS

    static final int INGRES_VIEW_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__INDEX

    static final int INGRES_VIEW_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__SELF_REF_COLUMN_GENERATION

    static final int INGRES_VIEW_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__INSERTABLE

    static final int INGRES_VIEW_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__UPDATABLE

    static final int INGRES_VIEW_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__QUERY_EXPRESSION

    static final int INGRES_VIEW_TABLE__QUERY_EXPRESSION

  The feature id for the 'Query Expression' containment reference.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__CHECK_TYPE

    static final int INGRES_VIEW_TABLE__CHECK_TYPE

  The feature id for the 'Check Type' attribute.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE__SOURCE

    static final int INGRES_VIEW_TABLE__SOURCE

  The feature id for the 'Source' reference.

  See Also:
    Constant Field Values

### INGRES_VIEW_TABLE_FEATURE_COUNT

    static final int INGRES_VIEW_TABLE_FEATURE_COUNT

  The number of structural features of the 'Ingres View Table' class.

  See Also:
    Constant Field Values

### INGRES_TRIGGER

    static final int INGRES_TRIGGER

  The meta object id for the '`Ingres Trigger`' class.

  See Also:
    `IngresTriggerImpl`, `IngressqlmodelPackageImpl.getIngresTrigger()`, Constant Field Values

### INGRES_TRIGGER__EANNOTATIONS

    static final int INGRES_TRIGGER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__NAME

    static final int INGRES_TRIGGER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__DEPENDENCIES

    static final int INGRES_TRIGGER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__DESCRIPTION

    static final int INGRES_TRIGGER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__LABEL

    static final int INGRES_TRIGGER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__COMMENTS

    static final int INGRES_TRIGGER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__PRIVILEGES

    static final int INGRES_TRIGGER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__SCHEMA

    static final int INGRES_TRIGGER__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__SUBJECT_TABLE

    static final int INGRES_TRIGGER__SUBJECT_TABLE

  The feature id for the 'Subject Table' reference.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__ACTION_STATEMENT

    static final int INGRES_TRIGGER__ACTION_STATEMENT

  The feature id for the 'Action Statement' containment reference list.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__TRIGGER_COLUMN

    static final int INGRES_TRIGGER__TRIGGER_COLUMN

  The feature id for the 'Trigger Column' reference list.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__ACTION_GRANULARITY

    static final int INGRES_TRIGGER__ACTION_GRANULARITY

  The feature id for the 'Action Granularity' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__WHEN

    static final int INGRES_TRIGGER__WHEN

  The feature id for the 'When' containment reference.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__TIME_STAMP

    static final int INGRES_TRIGGER__TIME_STAMP

  The feature id for the 'Time Stamp' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__ACTION_TIME

    static final int INGRES_TRIGGER__ACTION_TIME

  The feature id for the 'Action Time' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__UPDATE_TYPE

    static final int INGRES_TRIGGER__UPDATE_TYPE

  The feature id for the 'Update Type' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__INSERT_TYPE

    static final int INGRES_TRIGGER__INSERT_TYPE

  The feature id for the 'Insert Type' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__DELETE_TYPE

    static final int INGRES_TRIGGER__DELETE_TYPE

  The feature id for the 'Delete Type' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__OLD_ROW

    static final int INGRES_TRIGGER__OLD_ROW

  The feature id for the 'Old Row' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__NEW_ROW

    static final int INGRES_TRIGGER__NEW_ROW

  The feature id for the 'New Row' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__OLD_TABLE

    static final int INGRES_TRIGGER__OLD_TABLE

  The feature id for the 'Old Table' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__NEW_TABLE

    static final int INGRES_TRIGGER__NEW_TABLE

  The feature id for the 'New Table' attribute.

  See Also:
    Constant Field Values

### INGRES_TRIGGER__SOURCE

    static final int INGRES_TRIGGER__SOURCE

  The feature id for the 'Source' reference.

  See Also:
    Constant Field Values

### INGRES_TRIGGER_FEATURE_COUNT

    static final int INGRES_TRIGGER_FEATURE_COUNT

  The number of structural features of the 'Ingres Trigger' class.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER

    static final int INGRES_IDENTITY_SPECIFIER

  The meta object id for the '`Ingres Identity Specifier`' class.

  See Also:
    `IngresIdentitySpecifierImpl`, `IngressqlmodelPackageImpl.getIngresIdentitySpecifier()`, Constant Field Values

### INGRES_IDENTITY_SPECIFIER__EANNOTATIONS

    static final int INGRES_IDENTITY_SPECIFIER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__NAME

    static final int INGRES_IDENTITY_SPECIFIER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__DEPENDENCIES

    static final int INGRES_IDENTITY_SPECIFIER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__DESCRIPTION

    static final int INGRES_IDENTITY_SPECIFIER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__LABEL

    static final int INGRES_IDENTITY_SPECIFIER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__COMMENTS

    static final int INGRES_IDENTITY_SPECIFIER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__PRIVILEGES

    static final int INGRES_IDENTITY_SPECIFIER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__GENERATION_TYPE

    static final int INGRES_IDENTITY_SPECIFIER__GENERATION_TYPE

  The feature id for the 'Generation Type' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__START_VALUE

    static final int INGRES_IDENTITY_SPECIFIER__START_VALUE

  The feature id for the 'Start Value' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__INCREMENT

    static final int INGRES_IDENTITY_SPECIFIER__INCREMENT

  The feature id for the 'Increment' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__MINIMUM

    static final int INGRES_IDENTITY_SPECIFIER__MINIMUM

  The feature id for the 'Minimum' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__MAXIMUM

    static final int INGRES_IDENTITY_SPECIFIER__MAXIMUM

  The feature id for the 'Maximum' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__CYCLE_OPTION

    static final int INGRES_IDENTITY_SPECIFIER__CYCLE_OPTION

  The feature id for the 'Cycle Option' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__DATA_TYPE

    static final int INGRES_IDENTITY_SPECIFIER__DATA_TYPE

  The feature id for the 'Data Type' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__SEQ_LENGTH

    static final int INGRES_IDENTITY_SPECIFIER__SEQ_LENGTH

  The feature id for the 'Seq Length' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__SEQ_PRECISION

    static final int INGRES_IDENTITY_SPECIFIER__SEQ_PRECISION

  The feature id for the 'Seq Precision' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__MAXIMUM_OPTION

    static final int INGRES_IDENTITY_SPECIFIER__MAXIMUM_OPTION

  The feature id for the 'Maximum Option' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__MINIMUM_OPTION

    static final int INGRES_IDENTITY_SPECIFIER__MINIMUM_OPTION

  The feature id for the 'Minimum Option' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__CACHE_SIZE

    static final int INGRES_IDENTITY_SPECIFIER__CACHE_SIZE

  The feature id for the 'Cache Size' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__CACHE_OPTION

    static final int INGRES_IDENTITY_SPECIFIER__CACHE_OPTION

  The feature id for the 'Cache Option' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER__ORDER_OPTION

    static final int INGRES_IDENTITY_SPECIFIER__ORDER_OPTION

  The feature id for the 'Order Option' attribute.

  See Also:
    Constant Field Values

### INGRES_IDENTITY_SPECIFIER_FEATURE_COUNT

    static final int INGRES_IDENTITY_SPECIFIER_FEATURE_COUNT

  The number of structural features of the 'Ingres Identity Specifier' class.

  See Also:
    Constant Field Values

Method Detail

### getIngresSynonym

    org.eclipse.emf.ecore.EClass getIngresSynonym()

  Returns the meta object for class '`Ingres Synonym`'.

  Returns:
    the meta object for class 'Ingres Synonym'.
  See Also:
    `IngresSynonym`

### getIngresSynonym_Schema

    org.eclipse.emf.ecore.EReference getIngresSynonym_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `IngresSynonym.getSchema()`, `getIngresSynonym()`

### getIngresSynonym_TableName

    org.eclipse.emf.ecore.EAttribute getIngresSynonym_TableName()

  Returns the meta object for the attribute '`Table Name`'.

  Returns:
    the meta object for the attribute 'Table Name'.
  See Also:
    `IngresSynonym.getTableName()`, `getIngresSynonym()`

### getIngresDBEvent

    org.eclipse.emf.ecore.EClass getIngresDBEvent()

  Returns the meta object for class '`Ingres DB Event`'.

  Returns:
    the meta object for class 'Ingres DB Event'.
  See Also:
    `IngresDBEvent`

### getIngresDBEvent_Schema

    org.eclipse.emf.ecore.EReference getIngresDBEvent_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `IngresDBEvent.getSchema()`, `getIngresDBEvent()`

### getIngresSchema

    org.eclipse.emf.ecore.EClass getIngresSchema()

  Returns the meta object for class '`Ingres Schema`'.

  Returns:
    the meta object for class 'Ingres Schema'.
  See Also:
    `IngresSchema`

### getIngresSchema_DBEvents

    org.eclipse.emf.ecore.EReference getIngresSchema_DBEvents()

  Returns the meta object for the reference list '`DB Events`'.

  Returns:
    the meta object for the reference list 'DB Events'.
  See Also:
    `IngresSchema.getDBEvents()`, `getIngresSchema()`

### getIngresSchema_Synonyms

    org.eclipse.emf.ecore.EReference getIngresSchema_Synonyms()

  Returns the meta object for the reference list '`Synonyms`'.

  Returns:
    the meta object for the reference list 'Synonyms'.
  See Also:
    `IngresSchema.getSynonyms()`, `getIngresSchema()`

### getIngresViewTable

    org.eclipse.emf.ecore.EClass getIngresViewTable()

  Returns the meta object for class '`Ingres View Table`'.

  Returns:
    the meta object for class 'Ingres View Table'.
  See Also:
    `IngresViewTable`

### getIngresViewTable_Source

    org.eclipse.emf.ecore.EReference getIngresViewTable_Source()

  Returns the meta object for the reference '`Source`'.

  Returns:
    the meta object for the reference 'Source'.
  See Also:
    `IngresViewTable.getSource()`, `getIngresViewTable()`

### getIngresTrigger

    org.eclipse.emf.ecore.EClass getIngresTrigger()

  Returns the meta object for class '`Ingres Trigger`'.

  Returns:
    the meta object for class 'Ingres Trigger'.
  See Also:
    `IngresTrigger`

### getIngresTrigger_Source

    org.eclipse.emf.ecore.EReference getIngresTrigger_Source()

  Returns the meta object for the reference '`Source`'.

  Returns:
    the meta object for the reference 'Source'.
  See Also:
    `IngresTrigger.getSource()`, `getIngresTrigger()`

### getIngresIdentitySpecifier

    org.eclipse.emf.ecore.EClass getIngresIdentitySpecifier()

  Returns the meta object for class '`Ingres Identity Specifier`'.

  Returns:
    the meta object for class 'Ingres Identity Specifier'.
  See Also:
    `IngresIdentitySpecifier`

### getIngresIdentitySpecifier_DataType

    org.eclipse.emf.ecore.EAttribute getIngresIdentitySpecifier_DataType()

  Returns the meta object for the attribute '`Data Type`'.

  Returns:
    the meta object for the attribute 'Data Type'.
  See Also:
    `IngresIdentitySpecifier.getDataType()`, `getIngresIdentitySpecifier()`

### getIngresIdentitySpecifier_SeqLength

    org.eclipse.emf.ecore.EAttribute getIngresIdentitySpecifier_SeqLength()

  Returns the meta object for the attribute '`Seq Length`'.

  Returns:
    the meta object for the attribute 'Seq Length'.
  See Also:
    `IngresIdentitySpecifier.getSeqLength()`, `getIngresIdentitySpecifier()`

### getIngresIdentitySpecifier_SeqPrecision

    org.eclipse.emf.ecore.EAttribute getIngresIdentitySpecifier_SeqPrecision()

  Returns the meta object for the attribute '`Seq Precision`'.

  Returns:
    the meta object for the attribute 'Seq Precision'.
  See Also:
    `IngresIdentitySpecifier.getSeqPrecision()`, `getIngresIdentitySpecifier()`

### getIngresIdentitySpecifier_MaximumOption

    org.eclipse.emf.ecore.EAttribute getIngresIdentitySpecifier_MaximumOption()

  Returns the meta object for the attribute '`Maximum Option`'.

  Returns:
    the meta object for the attribute 'Maximum Option'.
  See Also:
    `IngresIdentitySpecifier.getMaximumOption()`, `getIngresIdentitySpecifier()`

### getIngresIdentitySpecifier_MinimumOption

    org.eclipse.emf.ecore.EAttribute getIngresIdentitySpecifier_MinimumOption()

  Returns the meta object for the attribute '`Minimum Option`'.

  Returns:
    the meta object for the attribute 'Minimum Option'.
  See Also:
    `IngresIdentitySpecifier.getMinimumOption()`, `getIngresIdentitySpecifier()`

### getIngresIdentitySpecifier_CacheSize

    org.eclipse.emf.ecore.EAttribute getIngresIdentitySpecifier_CacheSize()

  Returns the meta object for the attribute '`Cache Size`'.

  Returns:
    the meta object for the attribute 'Cache Size'.
  See Also:
    `IngresIdentitySpecifier.getCacheSize()`, `getIngresIdentitySpecifier()`

### getIngresIdentitySpecifier_CacheOption

    org.eclipse.emf.ecore.EAttribute getIngresIdentitySpecifier_CacheOption()

  Returns the meta object for the attribute '`Cache Option`'.

  Returns:
    the meta object for the attribute 'Cache Option'.
  See Also:
    `IngresIdentitySpecifier.getCacheOption()`, `getIngresIdentitySpecifier()`

### getIngresIdentitySpecifier_OrderOption

    org.eclipse.emf.ecore.EAttribute getIngresIdentitySpecifier_OrderOption()

  Returns the meta object for the attribute '`Order Option`'.

  Returns:
    the meta object for the attribute 'Order Option'.
  See Also:
    `IngresIdentitySpecifier.getOrderOption()`, `getIngresIdentitySpecifier()`

### getIngressqlmodelFactory

    IngressqlmodelFactory getIngressqlmodelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.